List durable operational issues for a workspace
curl --request GET \
--url https://api.acornops.dev/api/v1/workspaces/{workspaceId}/issues \
--cookie acornops_cp_session=const options = {method: 'GET', headers: {cookie: 'acornops_cp_session='}};
fetch('https://api.acornops.dev/api/v1/workspaces/{workspaceId}/issues', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"automaticInvestigation": {
"issueId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lifecycleVersion": 2,
"state": "queued",
"updatedAt": "2023-11-07T05:31:56Z",
"canRetry": true,
"sessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"runId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>"
}
}
],
"nextCursor": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}Targets and inventory
List durable operational issues for a workspace
Browser callers use the session cookie. External integration callers may use the external integration client token plus x-acornops-external-user-id when the linked user and bot allowlist grant read_workspace_data.
List durable operational issues for a workspace
curl --request GET \
--url https://api.acornops.dev/api/v1/workspaces/{workspaceId}/issues \
--cookie acornops_cp_session=const options = {method: 'GET', headers: {cookie: 'acornops_cp_session='}};
fetch('https://api.acornops.dev/api/v1/workspaces/{workspaceId}/issues', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"automaticInvestigation": {
"issueId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lifecycleVersion": 2,
"state": "queued",
"updatedAt": "2023-11-07T05:31:56Z",
"canRetry": true,
"sessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"runId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>"
}
}
],
"nextCursor": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}Authorizations
userSessionexternalIntegrationClientToken
Headers
Required only for external integration client-token requests. Must identify a linked external integration user.
Required string length:
1 - 128Path Parameters
Example:
"4b930d98-add9-4924-ab26-3c16d96ec373"
Query Parameters
Required range:
1 <= x <= 100Available options:
active, recovering, resolved, all Available options:
critical, warning, info Available options:
kubernetes, virtual_machine Example:
"5b006e4c-509c-458a-9f02-5aafbdc01ade"
Example:
"default"